package com.compdfkit.pdfviewer.entity;

import android.graphics.Bitmap;

public class WatermarkSetting {
    private int type;

    private Bitmap image;
    private int iWidth;
    private int iHeight;

    private String fontName;
    private float fontSize;
    private boolean front;
    private boolean fullScreen;
    private float horizOffset;
    private float horizontalSpacing;
    private float vertOffset;
    private float verticalSpacing;
    private float opacity;
    private String pages;
    private float rotation;
    private float scale;
    private String text;
    private int textRGBColor;

    public WatermarkSetting() {
        type = 0;

        image = null;
        iWidth = 0;
        iHeight = 0;

        fontName = "Roboto";
        fontSize = 63;
        front = true;
        fullScreen = false;
        horizOffset = 0;
        horizontalSpacing = 100;
        vertOffset = 0;
        verticalSpacing = 100;
        opacity = 50;
        pages = "0";
        rotation = 0;
        scale = 1;
        text = "Watermark";
        textRGBColor = 0xFFFF0000;
    }

    public Bitmap getImage() {
        return image;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public void setImage(Bitmap image) {
        this.image = image;
    }

    public int getiWidth() {
        return iWidth;
    }

    public void setiWidth(int iWidth) {
        this.iWidth = iWidth;
    }

    public int getiHeight() {
        return iHeight;
    }

    public void setiHeight(int iHeight) {
        this.iHeight = iHeight;
    }

    public String getFontName() {
        return fontName;
    }

    public void setFontName(String fontName) {
        this.fontName = fontName;
    }

    public float getFontSize() {
        return fontSize;
    }

    public void setFontSize(float fontSize) {
        this.fontSize = fontSize;
    }

    public boolean isFront() {
        return front;
    }

    public void setFront(boolean front) {
        this.front = front;
    }

    public boolean getFullScreen() {
        return fullScreen;
    }

    public void setFullScreen(boolean fullScreen) {
        this.fullScreen = fullScreen;
    }

    public float getHorizOffset() {
        return horizOffset;
    }

    public void setHorizOffset(float horizOffset) {
        this.horizOffset = horizOffset;
    }

    public float getHorizontalSpacing() {
        return horizontalSpacing;
    }

    public void setHorizontalSpacing(float horizontalSpacing) {
        this.horizontalSpacing = horizontalSpacing;
    }

    public float getOpacity() {
        return opacity;
    }

    public void setOpacity(float opacity) {
        this.opacity = opacity;
    }

    public String getPages() {
        return pages;
    }

    public void setPages(String pages) {
        this.pages = pages;
    }

    public float getRotation() {
        return rotation;
    }

    public void setRotation(float rotation) {
        this.rotation = rotation;
    }

    public float getScale() {
        return scale;
    }

    public void setScale(float scale) {
        this.scale = scale;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public int getTextRGBColor() {
        return textRGBColor;
    }

    public void setTextRGBColor(int textRGBColor) {
        this.textRGBColor = textRGBColor;
    }

    public float getVerticalSpacing() {
        return verticalSpacing;
    }

    public void setVerticalSpacing(float verticalSpacing) {
        this.verticalSpacing = verticalSpacing;
    }

    public float getVertOffset() {
        return vertOffset;
    }

    public void setVertOffset(float vertOffset) {
        this.vertOffset = vertOffset;
    }
}
